---
agentTools:
  projectIndex: https://nexaflow.readme.io/llms.txt
---

# Offboard Waiter

Offboard a Waiter from your waitlist.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "This is the documentation for the CMS API",
    "version": "1.0.0",
    "title": "CMS Documentation"
  },
  "tags": [
    {
      "name": "waitlist",
      "description": "Waitlist APIs"
    }
  ],
  "paths": {
    "/waitlist/{id}": {
      "post": {
        "tags": [
          "waitlist"
        ],
        "summary": "Offboard Waiter",
        "description": "Offboard a Waiter from your waitlist.",
        "operationId": "offboardWaiter",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Credential id given by the platform",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "waitlist_id",
                  "waiters"
                ],
                "properties": {
                  "waitlist_id": {
                    "type": "integer",
                    "description": "The ID of the waitlist.",
                    "example": 123
                  },
                  "waiters": {
                    "type": "array",
                    "description": "An array of all the Waiters you are intending to offboard. To offboard, you only need the UUID of the Waiter.",
                    "items": {
                      "type": "object",
                      "properties": {
                        "uuid": {
                          "type": "string",
                          "description": "The UUID of the Waiter that is being offboarded."
                        }
                      }
                    },
                    "example": [
                      {
                        "uuid": "asdf-asdf-asdf-asdf-asdf-asdf"
                      }
                    ]
                  }
                }
              }
            }
          },
          "description": "Request body",
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object"
                  },
                  "example": [
                    {
                      "amount_referred": 0,
                      "created_at": "2022-04-10_18-34-28",
                      "email": "maya@getwaitlist.com",
                      "priority": 4985,
                      "referral_link": "https://getwaitlist.com?ref_id=4F0BTBMAB",
                      "referral_token": "4F0BTBMAB",
                      "referred_by_waiter_token": null,
                      "removed_date": "2023-03-15_04-40-39",
                      "removed_priority": 123,
                      "uuid": "c60ff9f2-1a58-4551-87ea-414991184fba",
                      "verified": false,
                      "phone": null,
                      "first_name": "Maya",
                      "last_name": "Kyler",
                      "metadata": {},
                      "waitlist_id": 123
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Invalid status value"
          }
        },
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "externalDocs": {
    "description": "Find out more about Swagger",
    "url": "http://swagger.io"
  },
  "servers": [
    {
      "url": "https://api.nexaflow.xyz/api"
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 100,
      "1": 95,
      "2": 49,
      "3": 0,
      "4": 6,
      "5": 159,
      "6": 138,
      "7": 0,
      "8": 30,
      "9": 188,
      "10": 93,
      "11": 185
    }
  }
}
```